+++
title = "After Dark"
description = "After Dark is open source software you can use to build a secure website, blog or app. One command is all you need to start a new website."
images = [
  "https://after-dark.habd.as/images/screenshots/after-dark-v6.15.0-homepage-fs8.png"
]
[[copyright]]
  owner = "Josh Habdas"
  date = "2019"
  license = "agpl-3.0-or-later"
[[spotlight]]
  name = "workflow"
  title = "Developer Focused"
  description = "Develop and publish websites cross-platform using a <strong>single codebase</strong> with just <strong>one dependency</strong> and capabilities designed to make you more productive:"
  icon = "code"
[[spotlight]]
  name = "speed"
  title = "Incredibly Fast"
  description = "With <a target=\"_blank\" rel=\"external nofollow noopener\" href=\"https://forestry.io/blog/hugo-vs-jekyll-benchmark/\">0.615s average</a> builds and <strong><i>decisecond</i> page loads</strong> you could conceivably develop and serve your content from an <a target=\"_blank\" rel=\"external nofollow noopener\" href=\"https://amzn.to/2Wx7xJk\">ODROID</a> in space."
  icon = "lightning"
  [[spotlight.link]]
    href = "/feature/fetch-injection/"
    text = "Fetch Inject"
  [[spotlight.link]]
    href = "/feature/lazy-loading/"
    text = "Lazy Loading"
  [[spotlight.link]]
    href = "https://tools.pingdom.com/#5a399f9666400000"
    text = "Benchmark"
    target = "_blank"
    rel = "external nofollow noopener"
[[spotlight]]
  name = "privacy"
  title = "Privacy Aware"
  description = "Develop your entire site <strong><i>without</i> Internet</strong> connectivity and <i>expose</i> an ephemeral Web server with e2e encryption and <strong>real-time traffic inspection</strong>."
  icon = "eye"
  [[spotlight.link]]
    href = "/feature/work-offline/"
    text = "Work Offline"
  [[spotlight.link]]
    href = "/feature/referrer-policy/"
    text = "Hide Referrals"
  [[spotlight.link]]
    href = "/feature/ephemeral-hosting/"
    text = "SSH Host"
[[spotlight]]
  name = "security"
  title = "Securely Designed"
  description = "Verify the <i>authenticity</i> of your installation using secure cryptographic hashes and use <abbr title=\"Content Security Policy\">CSP</abbr>, <abbr title=\"Sub-Resource Integrity\">SRI</abbr> and Referrer Policy to <strong>lock down your content</strong>."
  icon = "lock"
  [[spotlight.link]]
    href = "/feature/content-security-policy/"
    text = "Content Policy"
  [[spotlight.link]]
    href = "/validate/"
    text = "Check Integrity"
  [[spotlight.link]]
    href = "/feature/#security"
    text = "See All"
[[spotlight]]
  name = "graphics"
  title = "Advanced Graphics"
  description = "Add high-resolution, responsive images with <strong>low-quality image placeholders</strong> and <strong>engaging visual effects</strong> without even touching an image editor."
  icon = "photo"
  [[spotlight.link]]
    href = "/feature/post-images/"
    text = "Post Images"
  [[spotlight.link]]
    href = "/feature/custom-homepage/"
    text = "Thumbnails"
  [[spotlight.link]]
    href = "/module/hall-of-mirrors/"
    text = "Galleries"
[[spotlight]]
  name = "customize"
  title = "Easily Customized"
  description = "Toggle between 1 of 8 <strong><i>customizable</i> skin styles</strong> or disable them entirely and use custom layouts and styles to take complete design control."
  icon = "options"
  [[spotlight.link]]
    href = "/feature/custom-homepage/"
    text = "Homepage"
  [[spotlight.link]]
    href = "/feature/skin-styles/"
    text = "Skins"
  [[spotlight.link]]
    href = "/feature/#customizing"
    text = "See All"
[[spotlight]]
  name = "search"
  title = "Fuzzy Search"
  description = "Quickly <strong>locate <i>indexed</i> content</strong> anywhere on your site using inbuilt fuzzy search with automatic search indexing and <strong>full offline support</strong>."
  icon = "search"
  [[spotlight.link]]
    href = "/feature/fuzzy-search/"
    text = "Learn More"
  [[spotlight.link]]
    href = "/search/?s=uzzy%20searvh"
    text = "Try It Now"
[[spotlight]]
  name = "rewards"
  title = "Rewards System"
  description = "Earn rewards for keeping your software up-to-date and <strong>monetize attention</strong> to generate a <strong><i>borderless</i></strong>, low-maintenance passive income."
  icon = "creditcard"
  beta = true
  [[spotlight.link]]
    href = "/module/toxic-swamp/#installation"
    text = "Installation"
  [[spotlight.link]]
    href = "/module/toxic-swamp/"
    text = "Learn More"
[[spotlight]]
  name = "extras"
  title = "Batteries Included"
  description = "Self-host your entire stack using <strong><i>commodity hardware</i></strong> and keep your source code and visitor metrics entirely <strong>under your control</strong>."
  icon = "paperclip"
  [[spotlight.link]]
    href = "/extra/high-tea/"
    text = "Gitea"
  [[spotlight.link]]
    href = "/extra/after-dark-k3s/"
    text = "Kubernetes"
  [[spotlight.link]]
    href = "/module/voyeur/"
    text = "Fathom"
[[spotlight]]
  name = "builds"
  title = "Extended Builds"
  description = "Create **high-performance Hugo builds** using Alpine Linux with Musl. Builds Hugo Extended binary <i>with Sass support</i> using Docker **directly from source**."
  icon = "export"
  [[spotlight.link]]
    href = "/feature/extended-builds/"
    text = "Create Build Now"
+++

{{< hackcss-form action="/feature/quick-install" >}}
  {{< hackcss-button type="primary" isghost="true" >}}
    <svg class="i-download" viewBox="0 0 32 32" width="24" height="24" fill="none" stroke="currentcolor" stroke-linecap="round" stroke-linejoin="round" stroke-width="2">
      <path d="M9 22 C0 23 1 12 9 13 6 2 23 2 22 10 32 7 32 23 23 22 M11 26 L16 30 21 26 M16 16 L16 30"></path>
    </svg>&nbsp;&nbsp;Get Started
  {{< /hackcss-button >}}
  {{< hackcss-helpblock >}}
    <small>English and <a href="/id/feature/quick-install">Bahasa</a></small>
  {{< /hackcss-helpblock >}}
{{< /hackcss-form >}}
